Skip to main content
DELETE
/
api
/
v1
/
apps
/
{src_app_id}
/
{src_app_entitlement_id}
/
bindings
/
{dst_app_id}
/
{dst_app_entitlement_id}
Delete
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.AppEntitlementsProxy.Delete(ctx, operations.C1APIAppV1AppEntitlementsProxyDeleteRequest{
        DstAppEntitlementID: "<id>",
        DstAppID: "<id>",
        SrcAppEntitlementID: "<id>",
        SrcAppID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.DeleteAppEntitlementProxyResponse != nil {
        // handle response
    }
}
{}

Documentation Index

Fetch the complete documentation index at: https://conductorone-groman-network-requirements-updates.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

src_app_id
string
required

The ID of the app that owns the source entitlement.

src_app_entitlement_id
string
required

The ID of the source (parent) entitlement.

dst_app_id
string
required

The ID of the app that owns the destination entitlement.

dst_app_entitlement_id
string
required

The ID of the destination (child) entitlement.

Body

application/json

The request message for deleting an entitlement proxy binding.

Response

200 - application/json

The empty response message for deleting an entitlement proxy binding.

The empty response message for deleting an entitlement proxy binding.